using System;
using System.Web.UI.WebControls;
using System.Web.UI;

namespace Interval.BubbleSelectedEvent
{
	/// <summary>
	/// Tda bublajc udlost SelectedIndexChanged
	/// </summary>
	public class DropDownListEx : DropDownList
	{
		/// <summary>
		/// Konstruktor
		/// </summary>
		public DropDownListEx() : base()
		{
		}

		protected override void OnSelectedIndexChanged(EventArgs e)
		{
			base.OnSelectedIndexChanged (e);
			DataGridItem item = null;
			
			Control hc = null;
			hc = this.NamingContainer as Control;
			
			while (hc != null)
			{
				item = hc as DataGridItem;
				if (item != null)
					break;

				hc = hc.NamingContainer as Control;
			}
			if (item != null)
				RaiseBubbleEvent(this,new BubbledIndexChangeEventArgs(item,this));
		}

	}
}
